Redmine - Defect #4503

unable to browse git repositories since move to 0.9
2009-12-29 13:08 - Nicolas Sebrecht

Status: Closed Start date: 2009-12-29
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Estimated time: 0.00 hour
Target version:

Resolution: Invalid Affected version:

Description

Nobody can browse Git repositories since the migration from last stable to 0.9.
Error message: "The entry or revision was not found in the repository."

The commands:

RAILS_ENV=production rake db:migrate

RAILS_ENV=production rake db:migrate_plugins
RAILS_ENV=production rake db:migrate:upgrade_plugin_migrations
rake tmp:cache:clear

rake tmp:sessions:clear

didn't help.

Current version:

commit e0b97823d89c89e496a39cc6b61818fd8al8a8bbe
Author: Jean-Philippe Lang <jp_lang@yahoo.fr>
Date: Sun Dec 27 10:52:02 2009 +0000

Moves attachments parsing after textile parsing so that:
* attachments parsing does not rely on textile syntax
* textile output can be cached (#4482)

git-svn-id: svn+ssh://rubyforge.org/var/svn/redmine/trunk@3253 e€93f8b46-1217-0410-a6£0-8£06a73
74b81

History

#1 - 2010-01-07 15:31 - Nicolas Sebrecht

- File test-server.report added

Added output from:

ruby script/server webrick -e production

#2 - 2010-01-10 15:09 - Jean-Philippe Lang

Nicolas Sebrecht wrote:

Added output from:

(-]

No connection to the database.

#3 - 2010-01-10 18:40 - Nicolas Sebrecht

I've checked the user/database/password informations in config/database.yml and they are correct.
Manually connecting to mysql works ('mysql -u "user" -p') and the command 'show databases;' print out the good database name. Issues
functionnality works fine.

#4 - 2010-01-21 12:17 - Nicolas Sebrecht

Nicolas Sebrecht wrote:
Nobody can browse Git repositories since the migration from last stable to 0.9.
Error message: "The entry or revision was not found in the repository."

We can browse the repositories if | set 'chmod -R 777" on the repos.

Today, we have :

serveur git-repositories # ls -1d redmine.git

drwxrwx——— 7 redmine admin-git 4,0K 2009-12-29 12:58 redmine.git

"admin-git" is a Idap group for the maintainers of the project.
"redmine" is a classic unix system user.

| can't keep read access to others because all of the hosted projects aren't public ('git clone' would be permitted).

Is it normal?

#5 - 2010-01-25 13:36 - Rob Sterner

The “‘chmod -R 777 ** trick didn't work for me. I'm still unable to browse git repositories after following the setup instructions.

#6 - 2010-02-02 10:46 - Anton Statutov

The same problem for me with 0.9.1.

#7 - 2010-02-04 17:10 - Anton Statutov

Someone could tell me how to debug it?

#8 - 2010-03-23 16:20 - Anton Statutov

The problem still not solved for me. But | found in apache logs some info:

fatal: Not a git repository: '/home/user/project.git/'

Nevertheless, the following command works fine:

git —--git-dir /home/user/project.git/ log

#9 - 2010-03-23 16:44 - Anton Statutov

- Status changed from New to Resolved

The problem was in that redmine works with apache user privileges and www was not able to see git directory.

#10 - 2010-07-09 16:03 - Felix Schéfer
- Status changed from Resolved to Closed

- Resolution set to Invalid

Files

test-server.report 9.9 KB 2010-01-07 Nicolas Sebrecht
